Bug 80792 - kernel does not support ntfs
Summary: kernel does not support ntfs
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-31 13:04 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-02 16:31:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-12-31 13:04:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; WMM)

Description of problem:
This is not realy a bug.

But i question why the standard kernel off Redhat is not be able to read the 
NTFS file system.
I ask this because this file system is often used on the Windows XP systems. I 
could be very useful if this was standard. I think more and more people are 
having the same 'problem'. 
Now i have to create my own kernel. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.add in etc/fstab an htfs filesystem
2.create a mounting point in /
3.restart
4.error kernel does not support NTFS filesystems
    

Actual Results:  NTFS filesystems where not mounted

Expected Results:  If kernel supports -- the filesystems should be mounted

Additional info:

As i said this is not a real bug...
But it should be very easy if the standard redhat kernel supported the most 
common filesystems as ext3 and ntfs and ...

Comment 1 Michael Lee Yohe 2002-12-31 16:27:17 UTC
There is a website dedicated to adding the necessary NTFS module to Red Hat
Linux systems using the Red Hat supplied kernel.  You can find the necessary RPM
packages at the following address (even for the new 2.4.18-19.8.0 release).

http://linux-ntfs.sourceforge.net/info/redhat.html

Here is an excerpt from the website:

About RedHat

Due to the uncertain legal status of using the NTFS driver, RedHat have chosen
to leave the driver out of their kernels. 

Comment 2 Need Real Name 2003-01-02 13:18:24 UTC
Also it maybe dangerous to write to ntfs file-systems. So i understand why 
write access is not supported. But why then make not a kernel who can READ from 
ntfs file-systems and not write to them. Most other linux distributions do...

Comment 3 Michael Lee Yohe 2003-01-02 16:26:20 UTC
Again - this must be verified by Red Hat developers themselves but the quote
seems to make sense:

Due to the uncertain legal status of using the NTFS driver, RedHat have chosen
to leave the driver out of their kernels.

Red Hat seems to be the defacto standard in adhering to both the law and the
spirit of the law.  Their non-inclusion of the MP3 codec is an example where
licensing issues prevented Red Hat from "going there" (meaning, a possible
lawsuit, etc.)

Comment 4 Ben LaHaise 2003-01-02 16:31:33 UTC
Due to the uncertain legal status of ntfs.o, especially with respect to patents,
we do not intend to enable it at this time.


Note You need to log in before you can comment on or make changes to this bug.